Mac Installer fails to install server properly
Description

When attempting to run a very basic (no packages) Ultimate-DOOM on a local server, the Ul pauses for 1 to 2 seconds, then returns
w/ "Disconnected"”.

There was nothing of note in ~/Library/Application Support/Doomsday Engine/runtime/doomsday.out
| did some googling and found that a Windows user had a similar problem and solved it by copying the configs folder from /runtime to
/server-runtime

Worked for me too.

Maybe someone can look into this setup issue for the next build?

History

#1 - 2017-06-23 22:15 - skyjake

Are you using the latest stable release (2.0.1)?

Bug #2248 may have been the cause for this issue. Fortunately, it has already been fixed for the upcoming 2.0.2. You may want to test it using the
unstable builds, where the fix is already included.

#2 - 2017-06-23 22:38 - Imuraro

Yes, using 2.01 on MacOS Sierra.
Thanks for your work on this great and fun port

#3 - 2017-07-01 10:01 - skyjake
- Category set to Defect
- Status changed from New to Feedback

- Assignee set to Imuraro

Please try 2.0.2 and see if the problem persists.

http://dengine.net/build2372

#4 - 2017-07-18 11:03 - skyjake
- Status changed from Feedback to Closed

- Assignee deleted (Imuraro)

| am assuming this is now fixed in 2.0.2.
